Log::Dispatch::Email::MailSender(3)

NAME
Log::Dispatch::Email::MailSender - Subclass of Log::Dispatch::Email that uses the Mail::Sender module

VERSION
version 2.44

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [
              'Email::MailSender',
              min_level => 'emerg',
              to        => [qw( foo@example.com bar@example.org )],
              subject   => 'Big error!'
          ]
      ],
  );

  $log->emerg("Something bad is happening");

DESCRIPTION
This is a subclass of Log::Dispatch::Email that implements the send_email method using the Mail::Sender module.

CONSTRUCTOR
The constructor takes the following parameters in addition to the parameters documented in Log::Dispatch::Output and Log::Dispatch::Email:

•   smtp ($)

    The smtp server to connect to. This defaults to "localhost".

•   port ($)

    The port to use when connecting. This defaults to 25.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)